## org.metaabm.validation
Interface SStateValidator

    public interface SStateValidator

A sample validator interface for `SState`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateChoices(org.eclipse.emf.common.util.EList<SStateValue> value)`
`boolean` `validateDefault(SStateValue value)`
`boolean` `validateDefaultOption(SStateValue value)`
`boolean` `validateOptions(org.eclipse.emf.common.util.EList<SStateValue> value)`

Method Detail

### validate

    boolean validate()

### validateOptions

    boolean validateOptions(org.eclipse.emf.common.util.EList<SStateValue> value)

### validateDefaultOption

    boolean validateDefaultOption(SStateValue value)

### validateChoices

    boolean validateChoices(org.eclipse.emf.common.util.EList<SStateValue> value)

### validateDefault

    boolean validateDefault(SStateValue value)